/***********************************************************************/
/*                                                                     */
/*  FILE        :seven_LED_sample2.c                                   */
/*                                                                     */
/***********************************************************************/

#include	"iodefine.h"
#include	"typedefine.h"

#define		DIG1	(PE.DR.BIT.B3)
#define		DIG3	(PE.DR.BIT.B1)

#define		SW4		(PD.DR.BIT.B18)
#define		SW6		(PD.DR.BIT.B16)

#define		WAIT_TM	(10000)

void init_peior(void);
void init_paior(void);
void init_pdior(void);
void digit_disp(_UINT, _UBYTE, _UBYTE);

void main(void) {
	_UBYTE	cnt1, cnt3;

	cnt1 = 0;
	cnt3 = 0;

	init_peior();
	init_paior();
	init_pdior();
	
	PA.DR.BYTE.HL &= 0xF0;
	PA.DR.BYTE.HL |= 0x00;
	
	while(1) {
		if(SW4) {
			while(SW4) {
	 			digit_disp(WAIT_TM, cnt1, cnt3);
			}
			cnt1 ++;
			if(cnt1 == 10) {
				cnt1 = 0;
			}
		}
		if(SW6) {
			while(SW6) {
	 			digit_disp(WAIT_TM, cnt1, cnt3);
			}
			cnt3 ++;
			if(cnt3 == 10) {
				cnt3 = 0;
			}
		}
		digit_disp(WAIT_TM, cnt1, cnt3);
	}
}

void digit_disp(_UINT tm, _UBYTE data1, _UBYTE data3) {
	_UINT i;
	
	PA.DR.BYTE.HL &= 0xF0;
	PA.DR.BYTE.HL |= data1;
	DIG1 = 0;
	DIG3 = 1;
	for(i = 0; i < tm; i ++);
	PA.DR.BYTE.HL &= 0xF0;
	PA.DR.BYTE.HL |= data3;
	DIG3 = 0;
	DIG1 = 1;
	for(i = 0; i < tm; i ++);
}

void init_peior(void) {
	PFC.PEIORL.BIT.B1 = 1;
	PFC.PEIORL.BIT.B3 = 1;
}

void init_paior(void) {
	PFC.PAIORH.BYTE.L |= 0x0F;
}

void init_pdior(void) {
	PFC.PDIORH.BIT.B16 = 0;
	PFC.PDIORH.BIT.B18 = 0;
}

