/***********************************************************************/
/*                                                                     */
/*  FILE        :seven_LED_sample3.c                                   */
/*                                                                     */
/***********************************************************************/

#include	"iodefine.h"
#include	"typedefine.h"

#define		DIG1	(PE.DR.BIT.B3)
#define		DIG2	(PE.DR.BIT.B2)

#define		WAIT_TM	(10000)
#define		CNT_TM	(30)

void init_peior(void);
void init_paior(void);
void digit_disp(_UINT, _UBYTE, _UBYTE);

void main(void) {
	_UBYTE	cnt, cnt1, cnt2;
	_UINT	i;
	
	cnt  = 0;
	cnt1 = 0;
	cnt2 = 0;
	
	init_peior();
	init_paior();
	
	PA.DR.BYTE.HL &= 0xF0;
	PA.DR.BYTE.HL |= 0x00;
	
	while(1) {
		cnt ++;
		if(cnt == 100) {
			cnt = 0;
		}
		cnt2 = cnt / 10;
		cnt1 = cnt % 10;
		for(i = 0; i < CNT_TM; i++) {
			digit_disp(WAIT_TM, cnt1, cnt2);
		}
	}
}

void digit_disp(_UINT tm, _UBYTE data1, _UBYTE data2) {
	_UINT i;
	
	PA.DR.BYTE.HL &= 0xF0;
	PA.DR.BYTE.HL |= data1;
	DIG1 = 1;
	DIG2 = 0;
	for(i = 0; i < tm; i ++);
	PA.DR.BYTE.HL &= 0xF0;
	PA.DR.BYTE.HL |= data2;
	DIG2 = 1;
	DIG1 = 0;
	for(i = 0; i < tm; i ++);
}

void init_peior(void) {
	PFC.PEIORL.BIT.B1 = 1;
 	PFC.PEIORL.BIT.B2 = 1;
}

void init_paior(void) {
	PFC.PAIORH.BYTE.L |= 0x0F;
}

